PromptEntryBase Class Reference

## Classes

class | GroupAttributes
class | SingleAttributes

## Public Types

typedef std::map< tstring, GroupAttributes > | GroupAttributesMap

## Public Member Functions

bool | setValue (const tstring &value)
bool | clearValue ()
const tstring & | getPromptName () const
const tstring & | getPromptLabel () const
bool | isEnabled () const
void | setEnabled (bool bIsEnabled)
bool | isVisible () const
void | setVisible (bool bIsVisible)
void | setEntryGroup (bool bIsEntryGroup)
| PromptEntryBase (tstring PromptName, tstring PromptLabel, PromptType promptType=Prompt_Input, const tstring &DefaultValue=EmptyString, ApiStringMap LabelValues=EmptyLabelValues)
void | setPromptLabel (tstring label)
const tstring & | getValue () const
const tstring & | getTrueValue () const
const std::list< tstring > & | getValueOptions () const
bool | isEntryGroup () const
bool | isReadOnly () const
PromptType | getPromptType () const
size_t | GetGroupAttributesCount ()
PromptEntryBase & | operator= (const PromptEntryBase &existingEntry)
| PromptEntryBase (const PromptEntryBase &existingEntry)
const GroupAttributes & | getGroupAttributes (const tstring &group) const
void | setGroupAttributesMap (const GroupAttributesMap &groupAttributesMap)
const SingleAttributes & | getSingleAttributes () const
void | setSingleAttributes (const SingleAttributes &singleAttributes)

## Static Public Attributes

static const tstring | EmptyString
static const std::list< tstring > | EmptyList
static const ApiStringMap | EmptyLabelValues